SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000923: setxtaccess: sometimes it does not create rules because of the iptablesxtaccess cache file. - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000923Endian FirewallFirewall (iptables)public2008-06-09 14:352008-10-08 13:30
Reporterpeter-endian 
Assigned Topeter-endian 
PriorityurgentSeveritycrashReproducibilityrandom
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc1 
Target Version2.2-rc3Fixed in Version2.2-rc3 
Summary0000923: setxtaccess: sometimes it does not create rules because of the iptablesxtaccess cache file.
Descriptionbut then the rules are missing because and the service is not working.

setxtaccess.py --force solves the problem,. question is, why is this happening?
Tagsheavy
Attached Files

- Relationships
related to 0000678closedpeter-endian ipac: creates multiple rules instead of only one per ipac type 
related to 0000948closedpeter-endian DNS not working 
related to 0001039closedpeter-endian iptables has a race condition when it will be started in parallel 

-  Notes
(0001369)
peter-endian (administrator)
2008-06-25 17:41

iptables needs to be locked in order to avoid concurrency problems
(0001449)
peter-endian (administrator)
2008-07-16 15:54
edited on: 2008-07-23 15:29

STILL, some random xtaccess rules are not created sometimes!!

example:
port 25 (hannes)
port 22 (vmware@chris)
port 10443 (diaco)

fix 0001039 was ok, but did not completely fix this problem!!

maybe ipac needs also to be locked

(0001492)
peter-endian (administrator)
2008-08-01 17:34
edited on: 2008-08-01 17:34

fetchipac is now also locked in order to run synchronized with iptables

the solution of bug 0000678 may also be related to this issue


- Issue History
Date Modified Username Field Change
2008-06-09 14:35 peter-endian New Issue
2008-06-09 14:35 peter-endian Status new => assigned
2008-06-09 14:35 peter-endian Assigned To => peter-endian
2008-06-23 23:41 peter-endian Target Version 2.2 => 2.2-rc2
2008-06-25 12:56 peter-endian Relationship added related to 0000948
2008-06-25 17:41 peter-endian Note Added: 0001369
2008-06-30 10:18 peter-endian Relationship added related to 0001039
2008-07-01 17:30 peter-endian Status assigned => resolved
2008-07-01 17:30 peter-endian Fixed in Version => 2.2-rc2
2008-07-01 17:30 peter-endian Resolution open => fixed
2008-07-16 15:54 peter-endian Note Added: 0001449
2008-07-16 15:54 peter-endian Status resolved => assigned
2008-07-16 15:55 peter-endian Priority normal => high
2008-07-16 15:55 peter-endian Severity minor => crash
2008-07-16 15:55 peter-endian Reproducibility have not tried => random
2008-07-16 15:55 peter-endian Resolution fixed => reopened
2008-07-23 15:29 peter-endian Note Edited: 0001449
2008-07-24 16:06 ra-endian Fixed in Version 2.2-rc2 => 2.2-rc3
2008-07-24 16:06 ra-endian Target Version 2.2-rc2 => 2.2-rc3
2008-07-28 10:49 peter-endian Priority high => urgent
2008-08-01 10:12 peter-endian Tag Attached: heavy
2008-08-01 17:33 peter-endian Relationship added related to 0000678
2008-08-01 17:34 peter-endian Note Added: 0001492
2008-08-01 17:34 peter-endian Note Edited: 0001492
2008-08-01 17:34 peter-endian Status assigned => resolved
2008-08-01 17:34 peter-endian Resolution reopened => fixed
2008-10-08 13:30 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker